Description

It appears that adding any of these attributes to ModuleResourceConverter has no effect on the conversion process:

UseSpecialistBonus
SpecialistEfficiencyFactor
SpecialistBonusBase

There is a method "GetCrewBonus" in the BaseConverter class which uses the three "specialist" attributes, but it doesn't ever appear
to be called as part of the "OnFixedUpdate" method (thus when you view the converter in debug mode, the "CrewBon" field is

empty).
The stock ISRU converter has this problem - a skilled engineer is supposed to make it more efficient, but it doesn't do anything.

Others have noted this as well, from the wiki: "Despite its product description, the ISRU does not receive any bonus when operated
by an engineer" http://wiki.kerbalspaceprogram.com/wiki/ISRU_Converter

History

#1 - 07/17/2016 09:39 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/18/2016 03:30 PM - Alchemist
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Still the same in 1.1.3.
Unlike with the drills, having engineers or any other crew does nothing to productivity, efficiency and thermal efficiency of ISRU converters.

On the other hand, | have a proposition:

the large ISRU unit already has very good performance and doesn't need much bonus (maybe its crew bonus could be limited to slightly optimizing
the thermal curve and/or power consumption).

However, the small ISRU converter has terrible ore to products ratio and that's where a skilled engineer could give much improvement - for example,
it could go from the current level with no engineer to the efficiency close (50%? 90%?) to the large converter's (the maximum output may stay the
same, just consuming much less ore on input) for level 5 engineer. Which would make the converter of any use for crewed surface exploration
missions.

#3 - 07/29/2016 01:16 PM - sal_vager
- Status changed from Updated to Confirmed

| can't tell any difference between a new Engineer or a 5 star on the ISRU converters.

E/C used, heat generated, fuel produced, all are the same.
